org.codehaus.plexus.component.configurator.converters.composite

## Class ObjectWithFieldsConverter

- java.lang.Object
- - org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter
  - - org.codehaus.plexus.component.configurator.converters.composite.ObjectWithFieldsConverter

All Implemented Interfaces:
  ConfigurationConverter

    public class ObjectWithFieldsConverter
    extends AbstractConfigurationConverter

Version:
  $Id: ObjectWithFieldsConverter.java 8512 2009-10-21 23:15:04Z bentmann $
Author:
  Michal Maczka

### Constructor Summary

Constructors
Constructor and Description
`ObjectWithFieldsConverter()`

### Method Summary

Methods
`boolean` `canConvert(java.lang.Class type)`
`java.lang.Object` `fromConfiguration(ConverterLookup converterLookup, PlexusConfiguration configuration, java.lang.Class type, java.lang.Class baseType, java.lang.ClassLoader classLoader, ExpressionEvaluator expressionEvaluator, ConfigurationListener listener)`
`void` `processConfiguration(ConverterLookup converterLookup, java.lang.Object object, java.lang.ClassLoader classLoader, PlexusConfiguration configuration)`
`void` `processConfiguration(ConverterLookup converterLookup, java.lang.Object object, java.lang.ClassLoader classLoader, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator)`
`void` `processConfiguration(ConverterLookup converterLookup, java.lang.Object object, java.lang.ClassLoader classLoader, PlexusConfiguration configuration, ExpressionEvaluator expressionEvaluator, ConfigurationListener listener)`

### Methods inherited from class org.codehaus.plexus.component.configurator.converters.AbstractConfigurationConverter

`fromConfiguration, fromExpression, fromExpression, fromXML, getClassForImplementationHint, instantiateObject, instantiateObject, loadClass, toXML`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ObjectWithFieldsConverter

    public ObjectWithFieldsConverter()

### Method Detail

#### canConvert

    public boolean canConvert(java.lang.Class type)

#### fromConfiguration

    public java.lang.Object fromConfiguration(ConverterLookup converterLookup,
                                     PlexusConfiguration configuration,
                                     java.lang.Class type,
                                     java.lang.Class baseType,
                                     java.lang.ClassLoader classLoader,
                                     ExpressionEvaluator expressionEvaluator,
                                     ConfigurationListener listener)
                                       throws ComponentConfigurationException

Parameters:
  `converterLookup` - Repository of available converters
  `type` - the type of object to read
  `baseType` - the type of object the the source is
  `classLoader` - ClassLoader which should be used for loading classes
  `expressionEvaluator` - the expression evaluator to use for expressions
Returns:
  the object
Throws:
  `ComponentConfigurationException`

#### processConfiguration

    public void processConfiguration(ConverterLookup converterLookup,
                            java.lang.Object object,
                            java.lang.ClassLoader classLoader,
                            PlexusConfiguration configuration)
                              throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### processConfiguration

    public void processConfiguration(ConverterLookup converterLookup,
                            java.lang.Object object,
                            java.lang.ClassLoader classLoader,
                            PlexusConfiguration configuration,
                            ExpressionEvaluator expressionEvaluator)
                              throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`

#### processConfiguration

    public void processConfiguration(ConverterLookup converterLookup,
                            java.lang.Object object,
                            java.lang.ClassLoader classLoader,
                            PlexusConfiguration configuration,
                            ExpressionEvaluator expressionEvaluator,
                            ConfigurationListener listener)
                              throws ComponentConfigurationException

Throws:
  `ComponentConfigurationException`